Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.irisa.genouest.logol.utils.converter
Class GFFConverter

    java.lang.Object
      org.irisa.genouest.logol.utils.converter.GFFConverter

    public class GFFConverter

extends java.lang.Object

History: Fix 1659 O. Sallou 21/07/10: GFF output should start at position 1, add 1 to positions

Author:
  osallou

Constructor Summary
`GFFConverter()`

Method Summary
`void` | `convert2GFF(java.lang.String inputFile, java.lang.String outputFile)` Read fasta file from results, load seq name from file Size will be min/max of matches
`static void` | `main(java.lang.String[] args)` GFF converter from Logol result file
`void` | `writeGFF(java.lang.String outputFile, org.biojava.bio.program.gff.GFFEntrySet gffSet)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GFFConverter

    public GFFConverter()

Method Detail

### main

    public static void main(java.lang.String[] args)

  GFF converter from Logol result file

  Parameters:
    `args` - input and output file

### writeGFF

    public void writeGFF(java.lang.String outputFile,
                         org.biojava.bio.program.gff.GFFEntrySet gffSet)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### convert2GFF

    public void convert2GFF(java.lang.String inputFile,
                            java.lang.String outputFile)
                     throws java.util.NoSuchElementException

  Read fasta file from results, load seq name from file Size will be min/max of matches

  Parameters:
    `inputFile` - File of matches for a sequence
    `outputFile` - File to write the GFF
  Throws:
    `java.util.NoSuchElementException`
    `org.biojava.bio.BioException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD